Skip to main content

Get Organization Config

Used to retrieve the organization configuration settings for a project.

API Endpoint

PropertyValue
Request MethodGET
Request URLhttps://api.seliseblocks.com/idp/v1/Iam/GetOrganizationConfig

Request

Request Example

curl -X GET 'https://api.seliseblocks.com/idp/v1/Iam/GetOrganizationConfig?ProjectKey=YOUR_PROJECT_KEY' \
-H 'x-blocks-key: YOUR_PROJECT_KEY'

Request Headers

FieldTypeDescription
x-blocks-keystringProject key for authentication.

Query Parameters

FieldTypeRequiredDescription
ProjectKeystringYesThe project key for retrieving configuration.

Response

Success Response

Returns HTTP status 200 OK with organization configuration details.

{
"itemId": "org_config_123",
"createdDate": "2026-01-15T10:30:00Z",
"lastUpdatedDate": "2026-03-20T14:00:00Z",
"createdBy": "admin_user",
"language": "en-US",
"lastUpdatedBy": "admin_user",
"organizationIds": ["org_123", "org_parent"],
"tags": ["enterprise", "active"],
"allowCreationFromCloud": true,
"allowCreationFromConstruct": true,
"isMultiOrgEnabled": true,
"roles": ["admin", "user", "manager"]
}

Response Fields

FieldTypeDescription
itemIdstringUnique configuration identifier.
createdDatestring(date-time)Configuration creation date.
lastUpdatedDatestring(date-time)Last update date.
createdBystringUser who created the configuration.
languagestringConfiguration's preferred language.
lastUpdatedBystringUser who last updated configuration.
organizationIdsarrayList of associated organization IDs.
tagsarrayTags associated with configuration.
allowCreationFromCloudbooleanAllow user creation from Cloud.
allowCreationFromConstructbooleanAllow user creation from Construct.
isMultiOrgEnabledbooleanMulti-organization support enabled.
rolesarrayAvailable roles in organization.